## dzl-directory-model

dzl-directory-model

## Functions

gboolean | (*DzlDirectoryModelVisibleFunc) ()
GListModel * | dzl_directory_model_new ()
GFile * | dzl_directory_model_get_directory ()
void | dzl_directory_model_set_directory ()
void | dzl_directory_model_set_visible_func ()

## Properties

GFile * | directory | Read / Write

## Types and Values

#define | DZL_TYPE_DIRECTORY_MODEL
| DzlDirectoryModel

## Object Hierarchy

        GObject
        ╰── DzlDirectoryModel

## Implemented Interfaces

DzlDirectoryModel implements GListModel.

## Description

## Functions

### DzlDirectoryModelVisibleFunc ()

    gboolean
    (*DzlDirectoryModelVisibleFunc) (DzlDirectoryModel *self,
                                     GFile *directory,
                                     GFileInfo *file_info,
                                     gpointer user_data);

### dzl_directory_model_new ()

    GListModel *
    dzl_directory_model_new (GFile *directory);

Creates a new DzlDirectoryModel using `directory` as the directory to monitor.

#### Parameters

directory | A GFile |

#### Returns

A newly created DzlDirectoryModel.

[transfer full]

### dzl_directory_model_get_directory ()

    GFile *
    dzl_directory_model_get_directory (DzlDirectoryModel *self);

Gets the directory the model is observing.

#### Parameters

self | a DzlDirectoryModel |

#### Returns

A GFile.

[transfer none]

### dzl_directory_model_set_directory ()

    void
    dzl_directory_model_set_directory (DzlDirectoryModel *self,
                                       GFile *directory);

### dzl_directory_model_set_visible_func ()

    void
    dzl_directory_model_set_visible_func (DzlDirectoryModel *self,
                                          DzlDirectoryModelVisibleFunc visible_func,
                                          gpointer user_data,
                                          GDestroyNotify user_data_free_func);

## Types and Values

### DZL_TYPE_DIRECTORY_MODEL

    #define DZL_TYPE_DIRECTORY_MODEL (dzl_directory_model_get_type())

### DzlDirectoryModel

    typedef struct _DzlDirectoryModel DzlDirectoryModel;

## Property Details

### The `“directory”` property

      “directory”                GFile *

The directory to list files from.

Owner: DzlDirectoryModel

Flags: Read / Write